Subject: bug#27647: 26.0.50; Line numbers implemented natively disappear momentarily when frame out of focus

From: Eli Zaretskii <[email-masked]>
Date: Thu, 05 Oct 2017 16:10:42 +0300

> From: Kaushal Modi <[email-masked]>
> Date: Thu, 05 Oct 2017 12:40:35 +0000
> Cc: [email-masked], [email-masked]
> 
> As you know from my other thread, I am unable to use gdb. As I don't know enough C to hack it myself, can
> you provide pointers to where I can put print statements or something like that in the C code directly to help
> with this debug?

I couldn't think of anything useful.  Which is not surprising, as I
have no idea what could be involved in this.

> @Eli: This problem is consistent, though not consistent enough to yet create a recipe. But it does happen at
> least once a day. I am still sticking on to native line numbers and not giving up. Can this be please made a
> blocker for 26.1?

I don't think it's an Emacs bug.  It's most probably something related
to some hook or timer that you set up in your customizations.  That's
the only way a frame without a focus could get redrawn.  So please
look through all of your customizations to find the one that is
responsible.